Subject: Re: FVWM: Panel showing up in window list

From: [email-masked]
Date: Sat, 30 Nov 2002 00:45:14 +0100

On Wed, Nov 13, 2002 at 09:05:22AM -0700, Kyle wrote:
> Dominik Vogt wrote:
> 
> >On Tue, Nov 12, 2002 at 03:01:09PM -0700, Kyle wrote:
> > 
> >
> >>I have a pop-out panel that is showing up in my TaskBar in spite of my 
> >>use of:
> >>
> >>Style "Fvwm*"   NoTitle,  Sticky, WindowListSkip, CirculateSkipIcon, 
> >>CirculateSkip
> >>
> >>I've also tried:
> >>
> >>Style "FvwmButtons" WindowListSkip
> >>Style FvwmPanelA WindowListSkip
> >>Style FvwmPanelB WindowListSkip
> >>
> >>PanelA is the Panel button and it doesn't show up in the taskbar. 
> >>PanelB is the panel itself and it shows up.
> >>
> >>Any ideas? (I'm on 2.4.9)
> >>   
> >>
> >
> >Can you post all of the interesting parts of your config?
> >
> > 
> >
> Since I'm not sure how to tell what is interesting,..  Here's a file:
> 
> ftp://ftp.actarg.com/pub/misc/fvwm2rc.tgz
> 
> That contains a system.fvwm2rc and a user file (it calls) you can put in 
> $HOME/.fvwm/fvwm.local
> 
> Just restart fvwm, click the panel in the upper left area to expose the 
> pager and then you should see FvwmPanelB showing up in the TaskBar.

It was a bug in the task bar.  I have fixed it now.  For a
temporary workaround, remove the WindowListSkip style and then
immediately set it again (I did not try whis, but it should work).

  Style FvwmButtons WindowListHit
  Style FvwmButtons WindowListSkip

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]